<template>
    <div>
        <tr>
            <td>
                {{ carOne.id }}
            </td>
            <td>
                {{ carOne.name }}
            </td>
            <td>
                {{ carOne.factory }}
            </td>
            <td>
                {{ carOne.color }}
            </td>
            <td>
                <button @click="editCar">Edit</button>
                <button @click="deleteCarBtn(carOne.id)">Delete</button>
            </td>
        </tr>

    </div>
</template>

<script>
import { mapActions } from 'vuex';


export default {
    name: 'OneCar',
    props: {
        carOne: {
            type: Object,
            default: () => ({})
        },
    },
    methods: {
        ...mapActions(['deleteCarBtn']),
        editCar() {
            this.$router.push({ name: 'carConfig', params: { carId: this.carOne.id } })
        }
    },
}
</script>

<style lang="scss" scoped>
td {
    width: 10vw;
    text-align: left;
    border: 1px solid black;
}
</style>